/**************************************************************************
 * copyright file="XmlAttributeNames.java" company="Microsoft"
 *     Copyright (c) Microsoft Corporation.  All rights reserved.
 * 
 * Defines the XmlAttributeNames.java.
 **************************************************************************/
package microsoft.exchange.webservices.data;

/**
 * XML attribute names.
 * 
 */
public class XmlAttributeNames {

	/** The Constant XmlNs. */
	public static final String XmlNs = "xmlns";

	/** The Constant Id. */
	public static final String Id = "Id";

	/** The Constant ChangeKey. */
	public static final String ChangeKey = "ChangeKey";

	/** The Constant RecurringMasterId. */
	public static final String RecurringMasterId = "RecurringMasterId";

	/** The Constant InstanceIndex. */
	public static final String InstanceIndex = "InstanceIndex";

	/** The Constant OccurrenceId. */
	public static final String OccurrenceId = "OccurrenceId";

	/** The Constant Traversal. */
	public static final String Traversal = "Traversal";

	/** The Constant Offset. */
	public static final String Offset = "Offset";

	/** The Constant MaxEntriesReturned. */
	public static final String MaxEntriesReturned = "MaxEntriesReturned";

	/** The Constant BasePoint. */
	public static final String BasePoint = "BasePoint";

	/** The Constant ResponseClass. */
	public static final String ResponseClass = "ResponseClass";

	/** The Constant IndexedPagingOffset. */
	public static final String IndexedPagingOffset = "IndexedPagingOffset";

	/** The Constant TotalItemsInView. */
	public static final String TotalItemsInView = "TotalItemsInView";

	/** The Constant IncludesLastItemInRange. */
	public static final String IncludesLastItemInRange =
		"IncludesLastItemInRange";

	/** The Constant BodyType. */
	public static final String BodyType = "BodyType";

	/** The Constant MessageDisposition. */
	public static final String MessageDisposition = "MessageDisposition";

	/** The Constant SaveItemToFolder. */
	public static final String SaveItemToFolder = "SaveItemToFolder";

	/** The Constant RootItemChangeKey. */
	public static final String RootItemChangeKey = "RootItemChangeKey";

	/** The Constant DeleteType. */
	public static final String DeleteType = "DeleteType";

	/** The Constant DeleteSubFolders. */
	public static final String DeleteSubFolders = "DeleteSubFolders";

	/** The Constant AffectedTaskOccurrences. */
	public static final String AffectedTaskOccurrences = 
		"AffectedTaskOccurrences";

	/** The Constant SendMeetingCancellations. */
	public static final String SendMeetingCancellations =
		"SendMeetingCancellations";

	/** The Constant FieldURI. */
	public static final String FieldURI = "FieldURI";

	/** The Constant FieldIndex. */
	public static final String FieldIndex = "FieldIndex";

	/** The Constant ConflictResolution. */
	public static final String ConflictResolution = "ConflictResolution";

	/** The Constant SendMeetingInvitationsOrCancellations. */
	public static final String SendMeetingInvitationsOrCancellations = 
		"SendMeetingInvitationsOrCancellations";

	/** The Constant CharacterSet. */
	public static final String CharacterSet = "CharacterSet";

	/** The Constant HeaderName. */
	public static final String HeaderName = "HeaderName";

	/** The Constant SendMeetingInvitations. */
	public static final String SendMeetingInvitations =
		"SendMeetingInvitations";

	/** The Constant Key. */
	public static final String Key = "Key";

	/** The Constant RoutingType. */
	public static final String RoutingType = "RoutingType";

	/** The Constant MailboxType. */
	public static final String MailboxType = "MailboxType";

	/** The Constant DistinguishedPropertySetId. */
	public static final String DistinguishedPropertySetId = 
		"DistinguishedPropertySetId";

	/** The Constant PropertySetId. */
	public static final String PropertySetId = "PropertySetId";

	/** The Constant PropertyTag. */
	public static final String PropertyTag = "PropertyTag";

	/** The Constant PropertyName. */
	public static final String PropertyName = "PropertyName";

	/** The Constant PropertyId. */
	public static final String PropertyId = "PropertyId";

	/** The Constant PropertyType. */
	public static final String PropertyType = "PropertyType";

	/** The Constant TimeZoneName. */
	public static final String TimeZoneName = "TimeZoneName";

	/** The Constant ReturnFullContactData. */
	public static final String ReturnFullContactData = "ReturnFullContactData";
	
	/** The Constant ContactDataShape. */
	public static final String ContactDataShape = "ContactDataShape";

	/** The Constant Numerator. */
	public static final String Numerator = "Numerator";

	/** The Constant Denominator. */
	public static final String Denominator = "Numerator";

	/** The Constant Value. */
	public static final String Value = "Value";

	/** The Constant ContainmentMode. */
	public static final String ContainmentMode = "ContainmentMode";

	/** The Constant ContainmentComparison. */
	public static final String ContainmentComparison = "ContainmentComparison";

	/** The Constant Order. */
	public static final String Order = "Order";

	/** The Constant StartDate. */
	public static final String StartDate = "StartDate";

	/** The Constant EndDate. */
	public static final String EndDate = "EndDate";

	/** The Constant Version. */
	public static final String Version = "Version";

	/** The Constant Aggregate. */
	public static final String Aggregate = "Aggregate";

	/** The Constant SearchScope. */
	public static final String SearchScope = "SearchScope";

	/** The Constant Format. */
	public static final String Format = "Format";

	/** The Constant Mailbox. */
	public static final String Mailbox = "Mailbox";

	/** The Constant DestinationFormat. */
	public static final String DestinationFormat = "DestinationFormat";

	/** The Constant FolderId. */
	public static final String FolderId = "FolderId";

	/** The Constant ItemId. */
	public static final String ItemId = "ItemId";

	/** The Constant IncludePermissions. */
	public static final String IncludePermissions = "IncludePermissions";

	/** The Constant InitialName. */
	public static final String InitialName = "InitialName";

	/** The Constant FinalName. */
	public static final String FinalName = "FinalName";

	/** The Constant AuthenticationMethod. */
	public static final String AuthenticationMethod = "AuthenticationMethod";

	/** The Constant Time. */
	public static final String Time = "Time";

	/** The Constant Name. */
	public static final String Name = "Name";

	/** The Constant Bias. */
	public static final String Bias = "Bias";

	/** The Constant Kind. */
	public static final String Kind = "Kind";

	/** The Constant SubscribeToAllFolders. */
	public static final String SubscribeToAllFolders = "SubscribeToAllFolders";

	/** The Constant PublicFolderServer. */
	public static final String PublicFolderServer = "PublicFolderServer";

	/** The Constant IsArchive. */
	public static final String IsArchive = "IsArchive";
	// xsi attributes
	/** The Constant Nil. */
	public static final String Nil = "nil";

	/** The Constant Type. */
	public static final String Type = "type";
}
